/* Essential tools.
 *
 * PegSoft compatibility library (c) 2004 PegSoft
 * Contact us at pegsoft@pegsoft.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software (the COPYING file); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 */

#include "system/headers.h"
#include "system/compat.h"

#if !HAVE_INET_ADDR
# include "inet_addr.c"
#endif

#if !HAVE_INET_ATON
# include "inet_aton.c"
#endif

#if !HAVE_INET_NTOA
# include "inet_ntoa.c"
#endif

#if !HAVE_SNPRINTF || !HAVE_VSNPRINTF
# include "snprintf.c"
#endif

#if !HAVE_STPCPY
# include "stpcpy.c"
#endif

#if !HAVE_STPNCPY
# include "stpncpy.c"
#endif

#if !HAVE_STRCASECMP
# include "strcasecmp.c"
#endif

#if !HAVE_STRCSPN
# include "strcspn.c"
#endif

#if !HAVE_STRDUP
# include "strdup.c"
#endif

#if !HAVE_STRERROR
# include "strerror.c"
#endif

#if !HAVE_STRNCASECMP
# include "strncasecmp.c"
#endif

#if !HAVE_STRSIGNAL
# include "strsignal.c"
#endif

#if !HAVE_STRSPN
# include "strspn.c"
#endif

/*************************************************************************/

/*************************************************************************/
