/* Private declarations.
 *
 * SMTP mail transport module (c) 2007 PegSoft
 * Contact us at pegsoft@pegsoft.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see the file COPYING); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef DECL_H
#define DECL_H

/*************************************************************************/

#include <log/levels.h>

/*************************************************************************/
	
namespace smtp_cli 
{

/*************************************************************************/

class SMTPCli;

/*************************************************************************/

extern SMTPCli *me;

/*************************************************************************/

LOGLEVELH(DebugSMTPCli, xlog::LogDebug, "Debug::SMTPCli", "debug: smtp-cli: ");
LOGLEVELH(ErrorSMTPCli, xlog::LogError, "Error::SMTPCli", "Error: smtp-cli: ");

/*************************************************************************/

} /* namespace smtp_cli */

/*************************************************************************/

#endif /* DECL_H */
